#if defined(_MSC_VER) && (_MSC_VER >= 1600)
# pragma execution_character_set("utf-8")
#endif
#ifndef REGWIDGET_H
#define REGWIDGET_H

/*
    des: Register Widget 注册窗口
    author:zhangyiming

*/
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
class  RegWidget:public  QWidget
{
    Q_OBJECT
public:
    explicit RegWidget(QWidget * parent = NULL);
    virtual ~RegWidget( );
    void  init();
    void  initLay();
    bool  initConnect();
private slots:
    void slotRegOk();
    void slotTrial();
private:
    //注册说明
    QLabel m_labRegDes;
    //安装序列号
    QLabel m_labInstallSerialNum;
    QLineEdit m_editInstallSerialNum;
    //安装注册码
    QLabel  m_labInstallRegNum;
    QLineEdit m_editInstallRegNum;
    //使用单位
    QLabel  m_labCompany;
    QLineEdit m_editCompany;
    //联系电话
    QLabel m_labTelephoneNum;
    QLineEdit m_editTelephoneNum;

    QPushButton m_btnOk;
    QPushButton m_btnCancel;

};
#endif // REGWIDGET_H
